Tắt pop-up Deamons using outdated libraries khi cài đặt phần mềm trên Ubuntu 22.04

Thứ bảy - 19/08/2023 03:55 151 0
Khi cài đặt hoặc cập nhật một số phần mềm, Ubuntu 22.04 sẽ hỏi Which service should be restarted ?
lAFlE
lAFlE
Đôi khi việc này làm khó chịu và ảnh hưởng đến các tác vụ của các file cài đặt theo dạng script

Đó là tính năng mới trong Ubuntu 22.04 tuy nhiên nó làm khó chịu và ảnh hưởng đến các tác vụ của các file cài đặt theo dạng script

ắc rối trong trường hợp này là với lệnh Needrestart, đây là một phần của quy trình nâng cấp apt-get trong Ubuntu hiện nay. Theo mặc định, chế độ này được đặt thành chế độ "interactive" gây ra sự gián đoạn của các tập lệnh.

Để thay đổi chế độ này, chúng ta có thể chỉnh sửa tệp /etc/needrestart/needrestart.conf, thay đổi dòng
#$nrconf{restart} = 'i';
thành
$nrconf{restart} = 'a'; (nếu muốn tự động khởi động lại dịch vụ)
hoặc
$nrconf{restart} = 'l'; (để chỉ cần liệt kê các dịch vụ cần khởi động lại.)
 
sed -i 's/#$nrconf{restart} = 'i';/$nrconf{restart} = 'a';/' /etc/needrestart/needrestart.conf

Tổng số điểm của bài viết là: 0 trong 0 đánh giá

Click để đánh giá bài viết
Bạn đã không sử dụng Site, Bấm vào đây để duy trì trạng thái đăng nhập. Thời gian chờ: 60 giây